Lemonde
  • Lemonde
  • Advanced Member Topic Starter
4 years ago
What is the process for administering CentOS on Hyper-V 2016 onwards - is there a Linux installation of Integration Services?

Currently we are seeing:

Log Name: Microsoft-Windows-Hyper-V-Integration-Admin

Source: Microsoft-Windows-Hyper-V-Integration-KvpExchange

Date: 15/08/2018 08:57:44

Event ID: 4096

Task Category: None

Level: Error

Keywords:

User: NT VIRTUAL MACHINE\A6645A11-1202-4D78-B5A7-90780E2FED89

Computer: %COMPUTERNAME%.domain.suffix

Description:

'VMNAME': The Data Exchange integration service is either not enabled, not running or not initialized. (Virtual machine ID A6645A11-1202-4D78-B5A7-90780E2FED89)

Event Xml:

4096

0

2

0

0

0x8000000000000000

2141

Microsoft-Windows-Hyper-V-Integration-Admin

%COMPUTERNAME%.domain.suffix

VMNAME

A6645A11-1202-4D78-B5A7-90780E2FED89


Sponsor

Want to thank us? Use: Patreon or PayPal or Bitcoins: 12G4A52Znm5s35buKDEmKU2p2vQY69Nsyo

Protect your visitors with SSL, from $3.44

All opinions expressed within these pages are sent in by members of the public or by our staff in their spare time, and as such do not represent any opinion held by sircles.net Ltd or their partners.


Lemonde
  • Lemonde
  • Advanced Member Topic Starter
4 years ago
Also seeing this, which I presume is the same issue - is there a version that has been installed as part of the install process?

Log Name: Microsoft-Windows-Hyper-V-Integration-Admin

Source: Microsoft-Windows-Hyper-V-Integration-KvpExchange

Date: 15/08/2018 08:50:57

Event ID: 4010

Task Category: None

Level: Warning

Keywords:

User: NT VIRTUAL MACHINE\A6645A11-1202-4D78-B5A7-90780E2FED89

Computer: VMHOSTNAME.domain.suffix

Description:

Hyper-V Data Exchange connected to virtual machine 'CentOS', but the version does not match the version expected by Hyper-V (Virtual machine ID A6645A11-1202-4D78-B5A7-90780E2FED89). Framework version: Negotiated (3.0) - Expected (3.0); Message version: Negotiated (4.0) - Expected (5.0). This is an unsupported configuration. This means that technical support will not be provided until this problem is resolved. To fix this problem, upgrade the integration services. To upgrade, connect to the virtual machine and select Insert Integration Services Setup Disk from the Action menu.

Event Xml:

4010

0

3

0

0

0x8000000000000000

2136

Microsoft-Windows-Hyper-V-Integration-Admin

VMHOSTNAME.domain.suffix

CentOS

A6645A11-1202-4D78-B5A7-90780E2FED89

Negotiated (3.0) - Expected (3.0)

Negotiated (4.0) - Expected (5.0)


Lemonde
  • Lemonde
  • Advanced Member Topic Starter
4 years ago
Device 'Microsoft Synthetic Display Controller' in 'CentOS' is loaded but has a different version from the server. Server version 3.3 Client version 3.2 (Virtual machine ID). The device will work, but this is an unsupported configuration. This means that technical support will not be provided until this problem is resolved. To fix this problem, upgrade the integration services. To upgrade, connect to the virtual machine and select Insert Integration Services Setup Disk from the Action menu.
Lemonde
  • Lemonde
  • Advanced Member Topic Starter
2 years ago
The Linux integration software has stopped this message appearing and allows for most of the normal Hyper-v features such as shutdown and time sync., so it is definitely worth installing on your Centos 7 Hyper-V hosted boxes.